Home Help Contact
My account  0
Shopping bag | Orders tracking | Sell your records | Help
 
RFC RECORDS CD, vinyl, maxi, LP, EP, SP, DVD, video, ...
Media : CD (Album - Single - Maxi)  Vinyls (LP - 7 inch - 12 inch)  DVD  Others  All
page 1 / 2   1 2 [>]
  Artist - Title   Price Buy Now
  CARESS   caress   8.70 EUR info
Buy
LP Used   VG/M   RFC Records / Warner Bros. RFC 3384
CHANGE - A Lover's Holiday / The End - 7inch x 1 CHANGE   a lover's holiday / the end   3.99 EUR info
Buy
7inch x 1 Used   NA/VG   RFC Records   RCS 49208 - US   1980
  CHANGE   searching   6.97 EUR info
Buy
7inch x 1 Used   NA/NM   RFC Records   RCS49512 - US   1980
DODSON VENUS - Night Rider - LP DODSON VENUS   night rider   40.00 EUR info
Buy
LP Original used   VG+/EX   RFC Records – RFC 3348, Warner Bros. Records – RFC 3348   USA   1979
EMPIRE PROJECTING PENNY - Freakman (white vinyl) - 12 inch 45 rpm EMPIRE PROJECTING PENNY   freakman (white vinyl)   8.00 EUR info
Buy
12 inch 45 rpm Original used   VG+/VG+   RFC Records   QRFC 007 - Canada   1981
GINO SOCCIO - dancer - 7inch (SP) GINO SOCCIO   dancer   6.92 EUR info
Buy
7inch (SP) Original used   VG/VG+   rfc records   17 357 - France   1979
GINO SOCCIO - Outline - LP GINO SOCCIO   outline   21.99 EUR info
Buy
LP Original used   VG+/VG++   RFC Records ‎   RFC 3309 - Germany   1979
GINO SOCCIO - Outline - LP GINO SOCCIO   outline   12.00 EUR info
Buy
LP Original used   EX/NM   wea / RFC Records   56 620 ‎– RFC 3309 - France   1979
GINO SOCCIO - Outline - LP GINO SOCCIO   outline   10.00 EUR info
Buy
LP Used   EX/VG+   RFC Records   RFC 3309 - us   1979
  GINO SOCCIO   the visitors   8.71 EUR info
Buy
12 inch 45 rpm Used   VG+/VG+   RFC Records   DRCS 8894 - US   1979-11-07
HERLEY JOHNSON JR. - Do It - 12 inch 33 rpm HERLEY JOHNSON JR.   do it   89.00 EUR info
Buy
12 inch 33 rpm Original like new   S/S   Quality, RFC Records   QRFC 013 - CANADA   1982
  JANICE MCCLAIN   smack dab in the middle   10.45 EUR info
Buy
7inch x 1 Used   NA/NM   RFC Records   RCS 49103 - US   1979
JIMMY ROSS - First True Love Affair - 12 inch 33 rpm JIMMY ROSS   first true love affair   90.00 EUR info
Buy
12 inch 33 rpm Original like new   S/S   Quality, RFC Records   QRFC 002 - CANADA   1981
JIMMY ROSS - First True Love Affair.1981. - 12 inch 33 rpm JIMMY ROSS   first true love affair.1981.   90.00 EUR   120.00 EUR info
Buy
12 inch 33 rpm Original used   VG++/VG++   Quality ‎/ RFC Records   QRFC 002 - Canada   1981
KAREN SILVER - Clean Up Woman - 12 inch 45 rpm KAREN SILVER   clean up woman   4.00 EUR   8.00 EUR info
Buy
12 inch 45 rpm Used   NA/EX   Quality, RFC Records   QRFC 016   1982
KAREN SILVER - Clean Up Woman - 12 inch 45 rpm KAREN SILVER   clean up woman   3.50 EUR   7.00 EUR info
Buy
12 inch 45 rpm Used   NA/NM   Quality, RFC Records   QRFC 016   1982
KAREN SILVER - Set me free - 12 inch 33 rpm KAREN SILVER   set me free   5.99 EUR info
Buy
12 inch 33 rpm Original used   VG++/VG++   RFC Records ‎   QRFC 001 - Canada   1981
MARTIN NANCY - Can't Believe - 12 inch 33 rpm MARTIN NANCY   can't believe   30.00 EUR info
Buy
12 inch 33 rpm Original used   EX/EX   Atlantic ‎– 0-89971, RFC Records ‎– 0-89971   USA   1982
  MIGHTY POPE   sway   10.00 EUR info
Buy
LP Used   VG-/VG++   RFC RECORDS   GERMANY   1979
MIGHTY POPE - Sway - LP MIGHTY POPE   sway   9.81 EUR info
Buy
LP Used   EX/EX   RFC Records   RFC 3310 - US   1979
MIGHTY POPE - Sway - LP MIGHTY POPE   sway   8.18 EUR info
Buy
LP Used   VG/EX   RFC Records   RFC 3310 - US   1979
MIGHTY POPE - Sway - LP MIGHTY POPE   sway   8.18 EUR info
Buy
LP Used   VG/EX   RFC Records   RFC 3310 - US   1979
MIGHTY POPE - Sway - LP MIGHTY POPE   sway   16.03 EUR info
Buy
LP Used   NM/NM   RFC Records   RFC 3310 - US   1979
MIGHTY POPE - Sway - LP MIGHTY POPE   sway   12.10 EUR info
Buy
LP Used   NM/EX   RFC Records   RFC 3310 - US   1979
page 1 / 2   1 2 [>]
 
Groovecollector.com is the Music Guide dedicated to Groovy Music. Anyone can participate and build the database to share his passion for these sounds.
Search
into
Browse by:
Add a new release
Music guide is :
11729 releases
6628 artists
3509 labels
Some rare Modern Soul singles Vol 1. (1975-1985)
... all focus
DJ Dom-e Sausage Records
... All playlists
Vinyl Vidi Vici
ENCYCLOPAEDIA FRENCH PRESSI ...
Stone Groove Dj's
With Boogaloo & Lotari, Sou ...
Musicisthekey.fr
Paris groove radio. Music i ...
Tramp Records
Germany's leading rare funk ...
Tommy Stewart
The only official website o ...
Bag'o'grooves
Art musical direction, even ...
Rythm n Groove
Rythm n Groove, webradio mu ...
La Flèche d'Or
Great live band and dj nigh ...
Play it, Kick it!
Events & Rare Records - Dj ...
Divaradio
If you love the sounds of ...
... all links



Sort by
Items per page
Currency
Edition
New arrivals only
All items
Covers Gallery
Bargains (price < 15€)
 To keep in touch with the new arrivals and news
email